Subject: Re: What's cooking in git.git (Aug 2025, #01; Sun, 3)

From: Junio C Hamano <[email-masked]>
Date: Tue, 05 Aug 2025 10:10:33 -0700

Patrick Steinhardt <[email-masked]> writes:

> So with that knowledge I'd rather do the safe thing and abort the
> transaction. It requires less hard-to-test logic and feels safer
> overall.
>
> If we agree on that I can send a final reroll that reverts back to the
> logic we had in v3, which did abort the transaction.

I guess both you and Peff also prefer code that is more maintainable
and easier to reason about, and I am with you two, so let's go back
to the approach of v3.

Thanks.